petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexComputeInterpolatorFEM

Form the local portion of the interpolation matrix I from the coarse DM to the uniformly refined DM.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeInterpolatorFEM(DM dmc, DM dmf, Mat In, void *user)

### Input Parameters

| dmf | - The fine mesh
| dmc | - The coarse mesh
| user | - The user context

### Output Parameter

In -The interpolation matrix

### Note

The first member of the user context must be an FEMContext.

We form the residual one batch of elements at a time. This allows us to offload work onto an accelerator, like a GPU, or vectorize on a multicore machine.

### See Also

DMPlexComputeJacobianFEM()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages